<html>
<head>
<title>Ogre::CompositionTechnique Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CompositionTechnique Class Reference<div class="ingroups"><a class="el" href="group__Effects.html">Effects</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CompositionTechnique" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Base composition technique, can be subclassed in plugins.  
 <a href="classOgre_1_1CompositionTechnique.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::CompositionTechnique:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1CompositionTechnique__inherit__graph.gif" border="0" usemap="#Ogre_1_1CompositionTechnique_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1CompositionTechnique_inherit__map" id="Ogre_1_1CompositionTechnique_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="31,5,169,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1CompositionTechnique-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Local texture definition.  <a href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1e">TextureScope</a> { <a class="el" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1ea6f778889142bb74cc5aefa4f396b386d">TS_LOCAL</a>, 
<a class="el" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1ea90fc4ed7303d0d5b549dcc1873ddcde7">TS_CHAIN</a>, 
<a class="el" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1eaeaa58ffdb5ed352498ce0fa8263bda4d">TS_GLOBAL</a>
 }</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a3413737f589801ab8184dd3bd29c5b7a">TargetPasses</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Typedefs for several iterators.  <a href="#a3413737f589801ab8184dd3bd29c5b7a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1CompositionTechnique.html#a3413737f589801ab8184dd3bd29c5b7a">TargetPasses</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a5a54aecf9c72e8323b12d55199308c66">TargetPassIterator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#afc922fc28a5ac1bf909a3ddda433188a">TextureDefinitions</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1CompositionTechnique.html#afc922fc28a5ac1bf909a3ddda433188a">TextureDefinitions</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a34f28a53486ea2cee58619b2c1a639fe">TextureDefinitionIterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#aed3697e1f5dee4e6e71b03338371dac9">CompositionTechnique</a> (<a class="el" href="classOgre_1_1Compositor.html">Compositor</a> *parent)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a3b37aab5a73a19c0c2537b33cea5256e">~CompositionTechnique</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a4354d86478e8ec9fdf65024ea5ddfd6a">createTextureDefinition</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new local texture definition, and return a pointer to it.  <a href="#a4354d86478e8ec9fdf65024ea5ddfd6a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a4bba82fa0f4e54090a2497fe9f658fab">removeTextureDefinition</a> (size_t idx)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove and destroy a local texture definition.  <a href="#a4bba82fa0f4e54090a2497fe9f658fab"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#ac7ba0d0414282dde01b1d117b8dc5dc1">getTextureDefinition</a> (size_t idx)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a local texture definition.  <a href="#ac7ba0d0414282dde01b1d117b8dc5dc1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#acb53f78a85e2049fd3d0f3a5c317b345">getTextureDefinition</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a local texture definition with a specific name.  <a href="#acb53f78a85e2049fd3d0f3a5c317b345"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#ac9408a93189794940d922152d9c8f3c7">getNumTextureDefinitions</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of local texture definitions.  <a href="#ac9408a93189794940d922152d9c8f3c7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a03d4c71942abef880d9b2c9e363fe259">removeAllTextureDefinitions</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a> Definitions.  <a href="#a03d4c71942abef880d9b2c9e363fe259"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique.html#a34f28a53486ea2cee58619b2c1a639fe">TextureDefinitionIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a07fe9d82291bef342e223b765a88a5f1">getTextureDefinitionIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over the TextureDefinitions in this <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>.  <a href="#a07fe9d82291bef342e223b765a88a5f1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a781c6fcbbfc75d7c4265e268e9749f93">createTargetPass</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new target pass, and return a pointer to it.  <a href="#a781c6fcbbfc75d7c4265e268e9749f93"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a13b52dbaf483cd1ab0eec9edbef078e2">removeTargetPass</a> (size_t idx)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a target pass.  <a href="#a13b52dbaf483cd1ab0eec9edbef078e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a6a37afdc7cf51e51912ce6704879e2d3">getTargetPass</a> (size_t idx)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a target pass.  <a href="#a6a37afdc7cf51e51912ce6704879e2d3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a831f0aa39181fbd9b8fad6b637ce7c41">getNumTargetPasses</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of target passes.  <a href="#a831f0aa39181fbd9b8fad6b637ce7c41"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a4b34afd12984d3a5883e24b512c2b4a2">removeAllTargetPasses</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all target passes.  <a href="#a4b34afd12984d3a5883e24b512c2b4a2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique.html#a5a54aecf9c72e8323b12d55199308c66">TargetPassIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a472bbfd655c99319514ebc1fc58961c5">getTargetPassIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over the TargetPasses in this <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>.  <a href="#a472bbfd655c99319514ebc1fc58961c5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a2b2cd304cc127a05befe4e3f3e20d6e9">getOutputTargetPass</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get output (final) target pass.  <a href="#a2b2cd304cc127a05befe4e3f3e20d6e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a7395bb89044375bea1be770737651875">isSupported</a> (bool allowTextureDegradation)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine if this technique is supported on the current rendering device.  <a href="#a7395bb89044375bea1be770737651875"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a13d2bcb0ecbd440325621b809becd2c4">setSchemeName</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;schemeName)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Assign a scheme name to this technique, used to switch between multiple techniques by choice rather than for hardware compatibility.  <a href="#a13d2bcb0ecbd440325621b809becd2c4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a68d20f2065db1266d341eaa039ed4364">getSchemeName</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the scheme name assigned to this technique.  <a href="#a68d20f2065db1266d341eaa039ed4364"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#af221a1809b2de447c7036dd356026ad5">setCompositorLogicName</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;compositorLogicName)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the compositor logic assigned to this technique.  <a href="#af221a1809b2de447c7036dd356026ad5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#aa992321a0ae63a5c31bb62fe25dc2ed5">getCompositorLogicName</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the compositor logic name assigned to this technique.  <a href="#aa992321a0ae63a5c31bb62fe25dc2ed5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Compositor.html">Compositor</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a6b95f7376905fe23c3d5a27b0ec783d6">getParent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get parent object.  <a href="#a6b95f7376905fe23c3d5a27b0ec783d6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Compositor.html">Compositor</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a791ad4ded1b613b23d43db23b62c690b">mParent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent compositor.  <a href="#a791ad4ded1b613b23d43db23b62c690b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique.html#afc922fc28a5ac1bf909a3ddda433188a">TextureDefinitions</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a8d39acbfeeaa68fa427368cc8d88102f">mTextureDefinitions</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Local texture definitions.  <a href="#a8d39acbfeeaa68fa427368cc8d88102f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique.html#a3413737f589801ab8184dd3bd29c5b7a">TargetPasses</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#ab7b054bcbf8c12d0b67adecba5dfcff1">mTargetPasses</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Intermediate target passes.  <a href="#ab7b054bcbf8c12d0b67adecba5dfcff1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a36aa8592eb69b1a98452ca89cb6d091d">mOutputTarget</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Output target pass (can be only one)  <a href="#a36aa8592eb69b1a98452ca89cb6d091d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#ac20b33fb38f177280ddb68de71bcc865">mSchemeName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional scheme name.  <a href="#ac20b33fb38f177280ddb68de71bcc865"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique.html#a8e774e6d5f34aaec7f870b1fefe4536f">mCompositorLogicName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional compositor logic name.  <a href="#a8e774e6d5f34aaec7f870b1fefe4536f"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Base composition technique, can be subclassed in plugins. </p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00044">44</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a3413737f589801ab8184dd3bd29c5b7a"></a><!-- doxytag: member="Ogre::CompositionTechnique::TargetPasses" ref="a3413737f589801ab8184dd3bd29c5b7a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a> *&gt;::type <a class="el" href="classOgre_1_1CompositionTechnique.html#a3413737f589801ab8184dd3bd29c5b7a">Ogre::CompositionTechnique::TargetPasses</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Typedefs for several iterators. </p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00083">83</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5a54aecf9c72e8323b12d55199308c66"></a><!-- doxytag: member="Ogre::CompositionTechnique::TargetPassIterator" ref="a5a54aecf9c72e8323b12d55199308c66" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1CompositionTechnique.html#a3413737f589801ab8184dd3bd29c5b7a">TargetPasses</a>&gt; <a class="el" href="classOgre_1_1CompositionTechnique.html#a5a54aecf9c72e8323b12d55199308c66">Ogre::CompositionTechnique::TargetPassIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00084">84</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a34f28a53486ea2cee58619b2c1a639fe"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinitionIterator" ref="a34f28a53486ea2cee58619b2c1a639fe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1CompositionTechnique.html#afc922fc28a5ac1bf909a3ddda433188a">TextureDefinitions</a>&gt; <a class="el" href="classOgre_1_1CompositionTechnique.html#a34f28a53486ea2cee58619b2c1a639fe">Ogre::CompositionTechnique::TextureDefinitionIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00086">86</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="afc922fc28a5ac1bf909a3ddda433188a"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinitions" ref="afc922fc28a5ac1bf909a3ddda433188a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a>*&gt;::type <a class="el" href="classOgre_1_1CompositionTechnique.html#afc922fc28a5ac1bf909a3ddda433188a">Ogre::CompositionTechnique::TextureDefinitions</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00085">85</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a72f5c327008d8292c004bcd5bdf6fb1e"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureScope" ref="a72f5c327008d8292c004bcd5bdf6fb1e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1e">Ogre::CompositionTechnique::TextureScope</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a72f5c327008d8292c004bcd5bdf6fb1ea6f778889142bb74cc5aefa4f396b386d"></a><!-- doxytag: member="TS_LOCAL" ref="a72f5c327008d8292c004bcd5bdf6fb1ea6f778889142bb74cc5aefa4f396b386d" args="" -->TS_LOCAL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a72f5c327008d8292c004bcd5bdf6fb1ea90fc4ed7303d0d5b549dcc1873ddcde7"></a><!-- doxytag: member="TS_CHAIN" ref="a72f5c327008d8292c004bcd5bdf6fb1ea90fc4ed7303d0d5b549dcc1873ddcde7" args="" -->TS_CHAIN</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a72f5c327008d8292c004bcd5bdf6fb1eaeaa58ffdb5ed352498ce0fa8263bda4d"></a><!-- doxytag: member="TS_GLOBAL" ref="a72f5c327008d8292c004bcd5bdf6fb1eaeaa58ffdb5ed352498ce0fa8263bda4d" args="" -->TS_GLOBAL</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00051">51</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aed3697e1f5dee4e6e71b03338371dac9"></a><!-- doxytag: member="Ogre::CompositionTechnique::CompositionTechnique" ref="aed3697e1f5dee4e6e71b03338371dac9" args="(Compositor *parent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html#aed3697e1f5dee4e6e71b03338371dac9">Ogre::CompositionTechnique::CompositionTechnique</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Compositor.html">Compositor</a> *&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3b37aab5a73a19c0c2537b33cea5256e"></a><!-- doxytag: member="Ogre::CompositionTechnique::~CompositionTechnique" ref="a3b37aab5a73a19c0c2537b33cea5256e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1CompositionTechnique.html#a3b37aab5a73a19c0c2537b33cea5256e">Ogre::CompositionTechnique::~CompositionTechnique</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a781c6fcbbfc75d7c4265e268e9749f93"></a><!-- doxytag: member="Ogre::CompositionTechnique::createTargetPass" ref="a781c6fcbbfc75d7c4265e268e9749f93" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a>* <a class="el" href="classOgre_1_1CompositionTechnique.html#a781c6fcbbfc75d7c4265e268e9749f93">Ogre::CompositionTechnique::createTargetPass</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new target pass, and return a pointer to it. </p>

</div>
</div>
<a class="anchor" id="a4354d86478e8ec9fdf65024ea5ddfd6a"></a><!-- doxytag: member="Ogre::CompositionTechnique::createTextureDefinition" ref="a4354d86478e8ec9fdf65024ea5ddfd6a" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a>* <a class="el" href="classOgre_1_1CompositionTechnique.html#a4354d86478e8ec9fdf65024ea5ddfd6a">Ogre::CompositionTechnique::createTextureDefinition</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new local texture definition, and return a pointer to it. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>Name of the local texture </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa992321a0ae63a5c31bb62fe25dc2ed5"></a><!-- doxytag: member="Ogre::CompositionTechnique::getCompositorLogicName" ref="aa992321a0ae63a5c31bb62fe25dc2ed5" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1CompositionTechnique.html#aa992321a0ae63a5c31bb62fe25dc2ed5">Ogre::CompositionTechnique::getCompositorLogicName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the compositor logic name assigned to this technique. </p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00161">161</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a831f0aa39181fbd9b8fad6b637ce7c41"></a><!-- doxytag: member="Ogre::CompositionTechnique::getNumTargetPasses" ref="a831f0aa39181fbd9b8fad6b637ce7c41" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1CompositionTechnique.html#a831f0aa39181fbd9b8fad6b637ce7c41">Ogre::CompositionTechnique::getNumTargetPasses</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of target passes. </p>

</div>
</div>
<a class="anchor" id="ac9408a93189794940d922152d9c8f3c7"></a><!-- doxytag: member="Ogre::CompositionTechnique::getNumTextureDefinitions" ref="ac9408a93189794940d922152d9c8f3c7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1CompositionTechnique.html#ac9408a93189794940d922152d9c8f3c7">Ogre::CompositionTechnique::getNumTextureDefinitions</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of local texture definitions. </p>

</div>
</div>
<a class="anchor" id="a2b2cd304cc127a05befe4e3f3e20d6e9"></a><!-- doxytag: member="Ogre::CompositionTechnique::getOutputTargetPass" ref="a2b2cd304cc127a05befe4e3f3e20d6e9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a>* <a class="el" href="classOgre_1_1CompositionTechnique.html#a2b2cd304cc127a05befe4e3f3e20d6e9">Ogre::CompositionTechnique::getOutputTargetPass</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get output (final) target pass. </p>

</div>
</div>
<a class="anchor" id="a6b95f7376905fe23c3d5a27b0ec783d6"></a><!-- doxytag: member="Ogre::CompositionTechnique::getParent" ref="a6b95f7376905fe23c3d5a27b0ec783d6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Compositor.html">Compositor</a>* <a class="el" href="classOgre_1_1CompositionTechnique.html#a6b95f7376905fe23c3d5a27b0ec783d6">Ogre::CompositionTechnique::getParent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get parent object. </p>

</div>
</div>
<a class="anchor" id="a68d20f2065db1266d341eaa039ed4364"></a><!-- doxytag: member="Ogre::CompositionTechnique::getSchemeName" ref="a68d20f2065db1266d341eaa039ed4364" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1CompositionTechnique.html#a68d20f2065db1266d341eaa039ed4364">Ogre::CompositionTechnique::getSchemeName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the scheme name assigned to this technique. </p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00153">153</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6a37afdc7cf51e51912ce6704879e2d3"></a><!-- doxytag: member="Ogre::CompositionTechnique::getTargetPass" ref="a6a37afdc7cf51e51912ce6704879e2d3" args="(size_t idx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a>* <a class="el" href="classOgre_1_1CompositionTechnique.html#a6a37afdc7cf51e51912ce6704879e2d3">Ogre::CompositionTechnique::getTargetPass</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a target pass. </p>

</div>
</div>
<a class="anchor" id="a472bbfd655c99319514ebc1fc58961c5"></a><!-- doxytag: member="Ogre::CompositionTechnique::getTargetPassIterator" ref="a472bbfd655c99319514ebc1fc58961c5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html#a5a54aecf9c72e8323b12d55199308c66">TargetPassIterator</a> <a class="el" href="classOgre_1_1CompositionTechnique.html#a472bbfd655c99319514ebc1fc58961c5">Ogre::CompositionTechnique::getTargetPassIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over the TargetPasses in this <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>. </p>

</div>
</div>
<a class="anchor" id="ac7ba0d0414282dde01b1d117b8dc5dc1"></a><!-- doxytag: member="Ogre::CompositionTechnique::getTextureDefinition" ref="ac7ba0d0414282dde01b1d117b8dc5dc1" args="(size_t idx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a>* <a class="el" href="classOgre_1_1CompositionTechnique.html#ac7ba0d0414282dde01b1d117b8dc5dc1">Ogre::CompositionTechnique::getTextureDefinition</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a local texture definition. </p>

</div>
</div>
<a class="anchor" id="acb53f78a85e2049fd3d0f3a5c317b345"></a><!-- doxytag: member="Ogre::CompositionTechnique::getTextureDefinition" ref="acb53f78a85e2049fd3d0f3a5c317b345" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a>* <a class="el" href="classOgre_1_1CompositionTechnique.html#ac7ba0d0414282dde01b1d117b8dc5dc1">Ogre::CompositionTechnique::getTextureDefinition</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a local texture definition with a specific name. </p>

</div>
</div>
<a class="anchor" id="a07fe9d82291bef342e223b765a88a5f1"></a><!-- doxytag: member="Ogre::CompositionTechnique::getTextureDefinitionIterator" ref="a07fe9d82291bef342e223b765a88a5f1" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html#a34f28a53486ea2cee58619b2c1a639fe">TextureDefinitionIterator</a> <a class="el" href="classOgre_1_1CompositionTechnique.html#a07fe9d82291bef342e223b765a88a5f1">Ogre::CompositionTechnique::getTextureDefinitionIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over the TextureDefinitions in this <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>. </p>

</div>
</div>
<a class="anchor" id="a7395bb89044375bea1be770737651875"></a><!-- doxytag: member="Ogre::CompositionTechnique::isSupported" ref="a7395bb89044375bea1be770737651875" args="(bool allowTextureDegradation)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1CompositionTechnique.html#a7395bb89044375bea1be770737651875">Ogre::CompositionTechnique::isSupported</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>allowTextureDegradation</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Determine if this technique is supported on the current rendering device. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">allowTextureDegradation</td><td>True to accept a reduction in texture depth </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::CompositionTechnique::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::CompositionTechnique::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::CompositionTechnique::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::CompositionTechnique::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::CompositionTechnique::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::CompositionTechnique::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::CompositionTechnique::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::CompositionTechnique::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::CompositionTechnique::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::CompositionTechnique::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4b34afd12984d3a5883e24b512c2b4a2"></a><!-- doxytag: member="Ogre::CompositionTechnique::removeAllTargetPasses" ref="a4b34afd12984d3a5883e24b512c2b4a2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTechnique.html#a4b34afd12984d3a5883e24b512c2b4a2">Ogre::CompositionTechnique::removeAllTargetPasses</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all target passes. </p>

</div>
</div>
<a class="anchor" id="a03d4c71942abef880d9b2c9e363fe259"></a><!-- doxytag: member="Ogre::CompositionTechnique::removeAllTextureDefinitions" ref="a03d4c71942abef880d9b2c9e363fe259" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTechnique.html#a03d4c71942abef880d9b2c9e363fe259">Ogre::CompositionTechnique::removeAllTextureDefinitions</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all <a class="el" href="classOgre_1_1Texture.html" title="Abstract class representing a Texture resource.">Texture</a> Definitions. </p>

</div>
</div>
<a class="anchor" id="a13b52dbaf483cd1ab0eec9edbef078e2"></a><!-- doxytag: member="Ogre::CompositionTechnique::removeTargetPass" ref="a13b52dbaf483cd1ab0eec9edbef078e2" args="(size_t idx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTechnique.html#a13b52dbaf483cd1ab0eec9edbef078e2">Ogre::CompositionTechnique::removeTargetPass</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a target pass. </p>
<p>It will also be destroyed. </p>

</div>
</div>
<a class="anchor" id="a4bba82fa0f4e54090a2497fe9f658fab"></a><!-- doxytag: member="Ogre::CompositionTechnique::removeTextureDefinition" ref="a4bba82fa0f4e54090a2497fe9f658fab" args="(size_t idx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTechnique.html#a4bba82fa0f4e54090a2497fe9f658fab">Ogre::CompositionTechnique::removeTextureDefinition</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove and destroy a local texture definition. </p>

</div>
</div>
<a class="anchor" id="af221a1809b2de447c7036dd356026ad5"></a><!-- doxytag: member="Ogre::CompositionTechnique::setCompositorLogicName" ref="af221a1809b2de447c7036dd356026ad5" args="(const String &amp;compositorLogicName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTechnique.html#af221a1809b2de447c7036dd356026ad5">Ogre::CompositionTechnique::setCompositorLogicName</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>compositorLogicName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the compositor logic assigned to this technique. </p>
<p>Instances of this technique will be auto-coupled with the matching logic. </p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00158">158</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a13d2bcb0ecbd440325621b809becd2c4"></a><!-- doxytag: member="Ogre::CompositionTechnique::setSchemeName" ref="a13d2bcb0ecbd440325621b809becd2c4" args="(const String &amp;schemeName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositionTechnique.html#a13d2bcb0ecbd440325621b809becd2c4">Ogre::CompositionTechnique::setSchemeName</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>schemeName</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Assign a scheme name to this technique, used to switch between multiple techniques by choice rather than for hardware compatibility. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a8e774e6d5f34aaec7f870b1fefe4536f"></a><!-- doxytag: member="Ogre::CompositionTechnique::mCompositorLogicName" ref="a8e774e6d5f34aaec7f870b1fefe4536f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositionTechnique.html#a8e774e6d5f34aaec7f870b1fefe4536f">Ogre::CompositionTechnique::mCompositorLogicName</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optional compositor logic name. </p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00180">180</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a36aa8592eb69b1a98452ca89cb6d091d"></a><!-- doxytag: member="Ogre::CompositionTechnique::mOutputTarget" ref="a36aa8592eb69b1a98452ca89cb6d091d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a>* <a class="el" href="classOgre_1_1CompositionTechnique.html#a36aa8592eb69b1a98452ca89cb6d091d">Ogre::CompositionTechnique::mOutputTarget</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Output target pass (can be only one) </p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00174">174</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a791ad4ded1b613b23d43db23b62c690b"></a><!-- doxytag: member="Ogre::CompositionTechnique::mParent" ref="a791ad4ded1b613b23d43db23b62c690b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Compositor.html">Compositor</a>* <a class="el" href="classOgre_1_1CompositionTechnique.html#a791ad4ded1b613b23d43db23b62c690b">Ogre::CompositionTechnique::mParent</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parent compositor. </p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00167">167</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac20b33fb38f177280ddb68de71bcc865"></a><!-- doxytag: member="Ogre::CompositionTechnique::mSchemeName" ref="ac20b33fb38f177280ddb68de71bcc865" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositionTechnique.html#ac20b33fb38f177280ddb68de71bcc865">Ogre::CompositionTechnique::mSchemeName</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optional scheme name. </p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00177">177</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab7b054bcbf8c12d0b67adecba5dfcff1"></a><!-- doxytag: member="Ogre::CompositionTechnique::mTargetPasses" ref="ab7b054bcbf8c12d0b67adecba5dfcff1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html#a3413737f589801ab8184dd3bd29c5b7a">TargetPasses</a> <a class="el" href="classOgre_1_1CompositionTechnique.html#ab7b054bcbf8c12d0b67adecba5dfcff1">Ogre::CompositionTechnique::mTargetPasses</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Intermediate target passes. </p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00172">172</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8d39acbfeeaa68fa427368cc8d88102f"></a><!-- doxytag: member="Ogre::CompositionTechnique::mTextureDefinitions" ref="a8d39acbfeeaa68fa427368cc8d88102f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html#afc922fc28a5ac1bf909a3ddda433188a">TextureDefinitions</a> <a class="el" href="classOgre_1_1CompositionTechnique.html#a8d39acbfeeaa68fa427368cc8d88102f">Ogre::CompositionTechnique::mTextureDefinitions</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Local texture definitions. </p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h_source.html#l00169">169</a> of file <a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositionTechnique_8h_source.html">OgreCompositionTechnique.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
